## credativ-pg-migrator 0.9.0

=== requirements.txt ===
psycopg2
jaydebeapi
pyyaml
pandas
pyodbc
tabulate

=== debian/changelog ===
credativ-pg-migrator (0.9.0-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 Jun 2025 18:02:50 +0200

credativ-pg-migrator (0.9.0-1) unstable; urgency=medium

  * New release 0.9.0.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 18 Jun 2025 18:02:50 +0200

credativ-pg-migrator (0.8.2-1) unstable; urgency=medium

  * New release 0.8.2.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 11 Jun 2025 17:20:31 +0200

credativ-pg-migrator (0.8.1-1) unstable; urgency=medium

  * New release 0.8.1.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 05 Jun 2025 08:24:01 +0200

credativ-pg-migrator (0.8.0-1) unstable; urgency=medium

  * New release 0.8.0.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 03 Jun 2025 16:21:35 +0200

credativ-pg-migrator-dev (0.7.6-1) unstable; urgency=medium

  * New release 0.7.6.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 30 May 2025 10:53:42 +0200

credativ-pg-migrator-dev (0.7.5-1) unstable; urgency=medium

  * New release 0.7.5.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 22 May 2025 09:48:50 +0200

credativ-pg-migrator-dev (0.7.1-2) unstable; urgency=medium

  * Ship config_sample.yaml as example.
  * Add tdsodbc to Suggests.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 15 May 2025 17:52:45 +0200

credativ-pg-migrator-dev (0.7.1-1) unstable; urgency=medium

  * New release 0.7.1.
  * debian/patches/fix-config-parser-logic.patch: New patch, cherry-picks a
    post-0.7.1 fix from main.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 13 May 2025 17:32:03 +0200

credativ-pg-migrator-dev (0.7.0-1) unstable; urgency=medium

  * New release 0.7.0.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 07 May 2025 10:26:48 +0200

credativ-pg-migrator-dev (0.0+git20250429.291d25a6-1) unstable; urgency=medium

  * New snapshot.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 29 Apr 2025 08:38:54 +0200

credativ-pg-migrator-dev (0.0+git20250425.6e60ed8f-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 28 Apr 2025 09:26:22 +0200

=== debian/control ===
Source: credativ-pg-migrator
Section: python
Priority: optional
Maintainer: Michael Banck <michael.banck@credativ.de>
Build-Depends: debhelper-compat (= 10),
               default-jre-headless,
               dh-python,
               python3-all-dev (>= 3.6),
               python3-jaydebeapi,
               python3-pandas,
               python3-psycopg2,
               python3-pyodbc,
               python3-setuptools,
               python3-tabulate,
               python3-yaml
Standards-Version: 4.5.1
X-Python3-Version: >= 3.6
Homepage: git@github.com:credativ/credativ-pg-migrator-dev.git
Testsuite: autopkgtest-pkg-python

Package: credativ-pg-migrator
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: tdsodbc
Description: credativ Postgres Migrator
 This package provides a solution for migrations of whole databases from legacy
 systems to PostgreSQL.
 .
 Main features are:
  - Supports migration of tables, column constraints and defaults, primary
    keys, secondary indexes, foreign keys, functions/procedures, triggers and
    views from source to target database
  - If tables have sequences, migrator sets current values of sequences on the
    target database
  - Migration of views is currently only in rudimentary version, just replacing
    source schema names in code with target schema names
  - Conversion and migration of functions, procedures, triggers currently fully
    works for Informix, and is in progress for Sybase
  - Migrator allows customizable substitutions of data types, default values of
    columns, calls of remote objects

## credativ-pg-migrator 0.9.1

=== requirements.txt ===
psycopg2
jaydebeapi
pyyaml
pandas
pyodbc
tabulate
sqlglot

=== debian/changelog ===
credativ-pg-migrator (0.9.1-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 30 Sep 2025 08:06:34 +0200

credativ-pg-migrator (0.9.1-1) unstable; urgency=medium

  * New release 0.9.1.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 30 Sep 2025 08:06:34 +0200

## credativ-pg-migrator 0.10.0

=== debian/changelog ===
credativ-pg-migrator (0.10.0-1.pgdg12+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 01 Oct 2025 17:08:43 +0200

credativ-pg-migrator (0.10.0-1) unstable; urgency=medium

  * New release 0.10.0.
  * Add autopkgtest.
  * Update Homepage in debian/control.
  * Added python3-sqlglot to Build-Dependencies.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 01 Oct 2025 17:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                python3-psycopg2,
                python3-pyodbc,
                python3-setuptools,
+               python3-sqlglot,
                python3-tabulate,
                python3-yaml
 Standards-Version: 4.5.1
 X-Python3-Version: >= 3.6
-Homepage: git@github.com:credativ/credativ-pg-migrator-dev.git
+Homepage: https://github.com/credativ/credativ-pg-migrator
 Testsuite: autopkgtest-pkg-python
 
 Package: credativ-pg-migrator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info

override_dh_compress:
	dh_compress -X.md -X.yaml

override_dh_auto_test:
	true

=== debian/tests/control ===
Depends: @, postgresql-all
Test-Command: debian/tests/test
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/credativ-pg-migrator-$1\.tar\.gz/ \
  https://github.com/credativ/credativ-pg-migrator/tags .*/v?(\d\S+)\.tar\.gz
